HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get One Calendar

Return a Calendar with the corresponding {calendarId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one calendar and its events by calendarId.

Use this endpoint after discovering calendars with Get Calendars. The response returns a Calendar object and its event definitions, such as holiday events, billing events, or pricing-period events.

Resource URI

GET /rest/public/calendars/{calendarId}

Path parameters

ParameterTypeDescription
calendarIdLongUnique ID for the calendar. Required.

Query parameters

ParameterTypeDescription
fromDateTimeDateTimeReturn calendar events on or after this date. Optional.
toDateTimeDateTimeReturn calendar events on or before this date. Optional.

For the full calendar data model and examples, see Calendars.

Example

GET /rest/public/calendars/2

A successful response returns a standard response payload with type set to Calendar and one calendar in the results array.

Path Params
int64
required

A unique ID for each calendar

Query Params
date

from date (Optional)

date

from date (Optional)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json